genBPGraph <- function(y2h, sym=FALSE, inNuc=FALSE, nonWeighted=FALSE, homodimer=TRUE){
    #options(error=recover)
    if(inNuc){

        nuc <- inNucleus(y2h)
        for(i in 1:length(y2h)){
            for(j in 1:length(y2h[[i]])){
                y2h[[i]][[j]] <- y2h[[i]][[j]][nuc$nuclearY2H[[i]][[j]]]
            }

        }

    }

    if(sym){
        symList <- symInteraction(y2h)
        #print(symList)
        bpMat <- bpMatrix(symList, symMat=TRUE, homodimer=homodimer)
        #bpGraph <- as(bpMat, "graphNEL")
    }
    
    else{

        bpMat <- bpMatrix(y2h, symMat=TRUE, homodimer=homodimer)
        #bpGraph <- as(bpMat, "graphNEL")
        
    }

    if(nonWeighted){
        mode(bpMat) = "logical"
        mode(bpMat) = "numeric"
    }
    
    bpMat
}







