inNucleus <- function(y2h, ISI=NULL){

    
    yG2P <- as.list(YEASTGO2ALLPROBES)
    nucProt <- yG2P[["GO:0005634"]]
    if(!is.null(ISI)){
        cnames <- colnames(ISI)
        nucComp <- vector()
    
        for(i in 1:ncol(ISI)){
            
            hits <- names(which(ISI[,i]==1))
            nucC <- hits %in% nucProt
            if(sum(nucC)/sum(ISI[,i]) > 0.75){
                nucComp <- c(nucComp, cnames[i])
            }
            
        }
    }

    else{nucComp <- NULL}
    
    ckNuc <- lapply(y2h, function(x) {sapply(x, function(y) {y %in% nucProt})})
    ckNuc
    
    nuc <- list()
    nuc$nuclearProt <- nucProt
    nuc$nuclearComp <- nucComp
    nuc$nuclearY2H <- ckNuc

    nuc
    

    
}
