\name{baitsOnly}
\alias{baitsOnly}

\title{A function that filters proteins not sampled as baits.}
\description{
  This function takes in a three tiered list. The top tier is the main
  list which is passed in by the user. The second tier set of lists
  should be named or referenced by experimentors. The third tier is a
  list of bait to prey associations. The names in the third tier of the
  list are those proteins sampled as baits, and the entries are
  character vectors of proteins detected as prey. This function will
  restrict those prey proteins to those which have also been sampled as
  baits. The resulting character vector contains only prey also sampled
  as baits or as a character(0).
}
\usage{
baitsOnly(y2h)
}

\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
    ID of experiment. Names of the third tier should be the bait
    proteins. The entries of the third tier are character vectors of
    proteins detected as prey}

}
\details{

}
\value{
  The return value is the identical to the structure of the arguments
  though the proteins of the character vector are restricted to those
  proteins which were also sampled as baits; if none were sampled, the
  vector character(0) is returned
  


}
\references{ }
\author{T Chiang }
\examples{
data(y2hSysGW)
eg <- y2hSysGW[2:3]
baitsOnly(eg)
}
\keyword{datagen}
