\name{bpMatrix}
\alias{bpMatrix}

\title{This function generates the Bait-Prey Matrix for an experiment}
\description{
  This function takes in experimental data and generates the bait to
  prey adjacency matrix. 
}
\usage{
bpMatrix(y2h, symMat = TRUE, homodimer = TRUE)
}

\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
    ID of experiment. Names of the third tier should be the bait
    proteins. The entries of the third tier are character vectors of
    proteins detected as prey}
  \item{symMat}{A logical, if TRUE, the matrix will be square with all
    the proteins documented in the experiment indexing both the row and
    column; if FALSE, only the baits index the rows, preys the columns.}
  \item{homodimer}{A logical. If true, the matrix will record the
    presence of homodimers; if FALSE, all homodimers data will be deleted.}
}
\details{
  It is important to note that the weight of each directed edge is
  recorded by the number of instances bait b finds prey p.
}
\value{
  An adjacency matrix with weighting. The rows are indexed by those
  proteins sampled as baits (if symMat is true, only those rows with
  non-trivial row sums were sampled as baits) and the colunms are
  indexed by proteins detected as baits (et cetera).
}


\author{T Chiang}

\examples{
data(y2hSysGW)
eg <- y2hSysGW[3]
bpMatrix(eg)
}
\keyword{datagen}
