\name{collectBPStats}
\alias{collectBPStats}

\title{This function enumerates the multiplicity of bait to prey occurances.}
\description{
  This function takes the output of the bpMatrix function and a numeric
  vector of weights and returns those bait to prey assocations for each
  weight or reponds that there is no such assocation with respect to
  that weight.
}
\usage{
collectBPStats(bpMat, weight)
}

\arguments{
  \item{bpMat}{A weighted Bait to Prey adjacency matrix}
  \item{weight}{A numeric vector of weights}
}

\value{
  The return value is a list of lists. The names of the top tier-ed list
  is the weights given by the user. Each entry of the second tier-ed
  list is a character vector of two proteins, (bait,prey), which
  correspond to the particular weight.

}

\author{T Chiang}

\examples{
data(y2hSysGW)
eg = y2hSysGW[3]
egMat = bpMatrix(eg)
collectBPStats(egMat, 1:3)
}
\keyword{datagen}
