\name{collectIntactData}
\alias{collectIntactData}

\title{A function that parses the Intact repository for bait to prey affiliation}
\description{
 This function is the parsing function for the Intact downloaded data-sets.
}
\usage{
collectIntactData(intactID)
}

\arguments{
  \item{intactID}{A character vector of the Intact ID's that reference
    the particular experiment needed to be parsed.}
}
\details{
  The collectIntactData is a general function that reads a downloaded
  (and organized) xml file, and gathers information for the set of
  desired experiments.
}
\value{

  \item{numBaits}{The number of distinct baits over all experiments}
  \item{numPreys}{The number of distinct preys over all experiments}
  \item{allBaits}{A character vector of all distince baits over all experiments}
  \item{allPreys}{A character vector of all distinct preys over all experiments}
  \item{intactID}{The intact ID's of all the experiments}
  \item{indexSetAll}{A list of lists. Each element of the top list
    corresponds to a particular experiment; the elements of these
    sub-lists are character vectors. The character vectors will always
    carry the bait protein in the first element and all of the preys
    that particular bait has found as the rest of the elements to the
    vector. Note that the multiplicity is not guarenteed to be unity.}
  \item{baitsSystematic}{A character vector with a number of baits
    mapped to their systematic names}
  \item{preysSystematic}{A character vector with a number of preys
    mapped to their systematic names}
  \item{shortL}{A character vector listing the first author of each experiment.}
  \item{tableList}{The organized xml file parsed by the function.}

}
\references{http://www.ebi.ac.uk/intact}
\author{T Chiang}
\examples{

  inTactData <- collectIntactData(c("EBI-375746", "EBI-531419",
                                    "EBI-295760", "EBI-698096"))

}
\keyword{datagen}

