\name{createTables}
\alias{createTables}

\title{A function to create a table of the various summary statistics
  for the Y2H experimental derived data.}
\description{
  This function takes in a three tiered list. The top tier is the main
  list which is passed in by the user. The second tier set of lists
  should be named or referenced by experimentors. The third tier is a
  list of bait to prey associations. The names in the third tier of the
  list are those proteins sampled as baits, and the entries are
  character vectors of proteins detected as prey. From this data, the
  function generates a table of various summary statistics.
}
\usage{
createTables(y2h)
}
\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
  ID of experiment. Names of the third tier should be the bait
  proteins. The entries of the third tier are character vectors of
  proteins detected as prey}
}

\value{
  A table of statistics:
  \item{Column1}{Number of baits}
  \item{Column2}{Number of interactions experiment wide}
  \item{Column3}{Ratio of baits to interactions}
  \item{Column4}{Min Degree}
  \item{Column5}{Max Degree}
  \item{Column6}{Median Degree}
  \item{Column7}{Mean Degree}
}
\author{T Chiang}
\examples{
data(y2hSysGW)
eg = y2hSysGW[3]
createTables(eg)
}
\keyword{datagen}
