\name{degreeStats}
\alias{degreeStats}

\title{A function to calculate the various degree statistics on the
  induced y2h-data derived directed graph.}
\description{
  This function will create the adjacency matrix for each experimental
  set of Y2H data set, and then it will calculate the various degree
  statistics. 
}
\usage{
degreeStats(y2h)
}

\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
    ID of experiment. Names of the third tier should be the bait
    proteins. The entries of the third tier are character vectors of
    proteins detected as prey}
}
}
\value{

  \item{degree}{A numeric vector of the out-degree for each bait protein}
  \item{min}{A numeric - the minimal degree}
  \item{max}{A numeric - the maximal degree}
  \item{med}{A numeric - the median degree}
  \item{mean}{A numeric - the mean degree}

}

\author{T Chiang}

\examples{
data(y2hSysGW)
eg = y2hSysGW[3]
degreeStats(eg)
}
\keyword{datagen}

