\name{findComplexBP}
\alias{findComplexBP}

\title{A function to intersect Y2H data with protein complex composition
data}
\description{
  This function takes in the adjacency matrix of y2h data and some in
  silico interactome, ISI, (as the incidence matrix of the bi-partite
  graph). For each complex of the interactome, we can generate a new
  adjacency matrix with only those constituent members indexing the rows
  and columns (if they appear in the indexing set of the original
  adjacency matrix). We can then study the y2h relationship on each
  protein complex.
}
\usage{
findComplexBP(amMat, ISI)
}

\arguments{
  \item{amMat}{The adjacency matrix of y2h data}
  \item{ISI}{The incidence matrix of the bi-partite graph of an in
    silico interactome}
}
\details{
  NB - amMat need not be y2h data, but any data set which is binary and
  can be represented as an adjacency matrix.
}
\value{
  A list of matrices. Each matrix will have the indexing set of its row
  and columns restricted to the intersection of the constituent members
  of each protein complex of the ISI with those proteins in the original
  adjacency matrix. 

}

\author{T Chiang}

\examples{

}
\keyword{datagen}
