\name{genBPGraph}
\alias{genBPGraph}

\title{A function to generate the Y2H induced adjcency matrix or its
  corresponding graph}
\description{
  This function will take the Y2H data and generate either an adjacency
  matrix or an instance of the class graph.
}
\usage{
genBPGraph(y2h, sym = FALSE, inNuc = FALSE, nonWeighted = FALSE, homodimer = TRUE)
}

\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
    ID of experiment. Names of the third tier should be the bait
    proteins. The entries of the third tier are character vectors of
    proteins detected as prey}
  \item{sym}{A logical - if TRUE, only symmetric interactions will be
    used to generate the adjcency matrix or graph}
  \item{inNuc}{A logical - if TRUE, only those proteins annotated to the
  nucleus GO terms will be used.}
  \item{nonWeighted}{A logical - if TRUE, the matrix will not determine
    the multiplicity of the interactions, but only the binary present or
    absent}
  \item{homodimer}{A logical - if FALSE, the matrix will not include the
    presence of homodimer interactions}
}

\value{

  A list of adjaceny matrices based on the Y2H experimental data.

}

\author{T Chiang}


\examples{
data(y2hSysGW)
eg=y2hSysGW[3]
genBGGraph(eg)
}
\keyword{datagen}