\name{nucStat}
\alias{nucStat}

\title{A function to restrict the indexing set of bait prey adjcency matrices}
\description{
  This function will restrict the row and column indexing sets of the
  bait to prey adjacency matrices.
}
\usage{
nucStat(y2h, matL, square = FALSE)
}

\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
  ID of experiment. Names of the third tier should be the bait
  proteins. The entries of the third tier are character vectors of
  proteins detected as prey}
  \item{matL}{A list of bait to prey adjacency matrices}
  \item{square}{A logical}
}
\details{
  Regardless of the logical argument square, the entry nucNuc of the
  output is a list of matrices where the rows and columns are indexed by
  nuclear proteins exclusively.

  If square is FALSE, the nucNot entry is a list of proteins indexed by
  nuclear proteins in the rows and non-nuclear proteins in the
  columns. If square is TRUE, then the rows and columns are indexed by
  all the same proteins in the argments, but the ordering of the
  proteins is re-arranged so that the nuclear proteins are listed first
  followed by the non-nuclear in both the rows and columns.
}
\value{
  A list of list. The top list consists of two sub-lists. The first
  sub-list is named nucNuc which indicates that the rows and columns are
  both indexed exclusively by nuclear proteins. The second is named
  nucNot which indicates that the rows are exclusively indexed by
  nuclear proteins but not the columns 
  \item{nucNuc}{A list of matrices where both row and columns are
    exclusively indexed by nuclear proteins}
  \item{nucNot}{A list of matrices where the rows are 
    exclusively indexed by nuclear proteins but not columns}
 
}

\author{T Chiang}
\examples{

}
\keyword{datagen}
