\name{recipBP}
\alias{recipBP}

\title{A function that returns all preys which were sampled as baits
  that also detected non-trivial preys.}
\description{
  This function takes all the detected preys from some y2h experiment
  and checkes to see which of these proteins were sampled as a bait that
  found another prey protein.
}
\usage{
recipBP(y2h, homodimer = TRUE)
}

\arguments{
  \item{y2h}{A three tiered list. Names of the second tier corresponds to
  ID of experiment. Names of the third tier should be the bait
  proteins. The entries of the third tier are character vectors of
  proteins detected as prey}
  \item{homodimer}{A logical. If TRUE, we record the reciporcity of
    homodimers. If false, reciprocity is only recorded if there the bait
    to prey associations extends beyond homodimers.}
}

\value{
  The return value is a named list. Each names corresponds to the
  experiment. The entries of the list is a character vector of those
  proteins which were both 1. detected as prey and 2. tested as a bait
  and found a non-trivial prey.
}

\author{T Chiang}

\examples{
data(y2hSysGW)
eg=y2hSysGW[3]
recip(eg)
}
\keyword{datagen}
